UCYCOM(4)

NAME
ucycom - device driver for Cypress CY7C63743 and CY7C64013 USB to RS232 bridges

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device usb
device ucom
device ucycom

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ucycom_load="YES"

DESCRIPTION
The ucycom driver provides support for the Cypress CY7C63743 and CY7C64013 bridge chips. These chips were designed to provide a low-cost transition path to USB for existing RS232 devices, and have fairly limited capabilities.

The ucycom driver behaves like a tty(4).

HARDWARE
The ucycom driver currently supports the following devices which incorporate Cypress USB to RS232 bridge chips:

•   DeLorme Earthmate USB GPS receiver

FILES
/dev/ttyU*
    for callin ports
/dev/ttyU*.init
/dev/ttyU*.lock
    corresponding callin initial-state and lock-state devices

/dev/cuaU*
    for callout ports
/dev/cuaU*.init
/dev/cuaU*.lock
    corresponding callout initial-state and lock-state devices

SEE ALSO
tty(4), ucom(4), usb(4)

HISTORY
The ucycom driver first appeared in FreeBSD 5.3.

AUTHORS
-nosplit The ucycom driver and this manual page were written by Dag-Erling Smørgrav <des@FreeBSD.org>.